---
updatedAt: 2026-06-25T17:49:52.000Z
agentTools:
  projectIndex: https://team-asset-panda.readme.io/llms.txt
---

# Create report

## Create a Report

Create a report based on both a specific report ID and specific objects.

See <b>Parameters</b> below.

## Parameters

See both the <b>Body Parameters</b> table and <b>Reports Object List</b> below.

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Body Parameters
      </th>

      <th>
        Required/Optional
      </th>

      <th>
        Description
      </th>

      <th>
        Type
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        `report_type`
      </td>

      <td>
        required
      </td>

      <td>
        The type of report you want to create.
      </td>

      <td>
        string
      </td>
    </tr>

    <tr>
      <td>
        `report`
      </td>

      <td>
        required
      </td>

      <td>
        List of required, specific objects you want to be included within your report. See <b>Report Objects List</b> below.
      </td>

      <td>
        object
      </td>
    </tr>

    <tr>
      <td>
        `object_selector`
      </td>

      <td>
        required
      </td>

      <td>
        The categories to group reports by.
      </td>

      <td>
        string
      </td>
    </tr>

    <tr>
      <td>
        `reportable_value`
      </td>

      <td>
        required
      </td>

      <td>
        The value in which to report.
      </td>

      <td>
        string
      </td>
    </tr>
  </tbody>
</Table>

## Reports Object List

* `name`: The name of the report.
* `output`: The output of the report (pdf, csv, excel, screen).
* `size`: The size of the page (letter or A4).
* `orientation`: The orientation (landscape or portrait) of the page.
* `has_gridlines`: Allows grid lines (or not) to display on the report.
* `font_size`: The size of the font on the report.
* `entity_id`: The ID of the group you want to pull information from.
* `entity_action_id`: The ID of action for which you want to generate the report. This field is only for Action Report.
* `entity_action_show_all_object`: Choose whether to export all the records or just the records where selected action was performed. This field in only for Action Report. Options are **true**(All objects) and **nil**(Only objects that have this action).
* `action_object_list`: Choose whether to export all actions or first or last action. This field is only for Action Reports. Options are **1**(All), **2**(First) and **3**(Last).
* `sum_currency`: Included in reports that use currency fields. This selection provides total sums in the report when selected and is set to true by default (when pdf output is selected).
* `sum_number`: Included in reports that use numeric fields. This selection provides numeric totals in the report when selected and is set to false by default (when pdf output is selected).
* `company_logo`: Select to display a company logo on the report (or not).
* `reportable_id`: Dependent on the report type (group, action, etc).
* `default_image`: Allows a default image to display on the report (or not).
* `archived_record_options`: Choose if you want to include/exclude archived records in the report. Options are **0**(Include archived assets), **1**(Exclude archived assets), **2**(Show only archived assets).
* `report_filters_attributes`: Add filters in the report.
* `form_ordering_fields_attributes`: Add ordering in the report.
* `fields`: The list of available fields that can be selected to include within the report.
* `depreciable_object`: Allows the object to depreciate in value (or not).
* `begin_date`: The date on which to begin gathering data for the report.
* `end_date`: The date on which to conclude gathering data for the report.
* `appreciable_object`: Allows the object to appreciate in value (or not).
* `appreciation_start_date`: Selects the start date for the object to begin its appreciation of value.
* `appreciation_end_date`: Selects the end date for the object to end its appreciation of value.
* `group_page_break`: Allows for page breaks (between groups) within the report.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "V3-APIs",
    "version": "3.1"
  },
  "servers": [
    {
      "url": "https://api.assetpanda.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "CreatereportRequest": {
        "title": "CreatereportRequest",
        "required": [
          "report_type",
          "report"
        ],
        "type": "object",
        "properties": {
          "report_type": {
            "type": "string",
            "enum": [
              "EntityReport",
              "ActionReport",
              "ChangeReport",
              "AuditReport"
            ],
            "example": "ActionReport"
          },
          "report": {
            "$ref": "#/components/schemas/Report"
          },
          "entity_embed_yn": {
            "type": "string",
            "example": "false"
          },
          "object_selector": {
            "type": "string",
            "example": "0"
          },
          "reportable_value": {
            "type": "string",
            "example": ""
          }
        },
        "example": {
          "report_type": "ActionReport",
          "report": {
            "name": "Test API 3",
            "output": "csv",
            "size": "A4",
            "orientation": "landscape",
            "has_gridlines": true,
            "font_size": 13,
            "entity_id": 13876,
            "entity_action_id": 18427,
            "entity_action_show_all_object": true,
            "action_object_list": 1,
            "sum_currency": true,
            "sum_number": true,
            "company_logo": true,
            "reportable_id": "",
            "default_image": true,
            "archived_record_options": 0,
            "report_filters_attributes": {
              "0": {
                "field_id": 229723,
                "invert_query": false,
                "fix_value": [
                  "6877738a83782344c03ec2b9"
                ]
              },
              "1": {
                "field_id": 228311,
                "invert_query": true,
                "fix_value": "H"
              }
            },
            "form_ordering_fields_attributes": {
              "0": {
                "field_id": 228311,
                "order": "desc",
                "_destroy": ""
              },
              "1": {
                "field_id": 228310,
                "order": "asc",
                "_destroy": ""
              }
            },
            "fields": "228311,229723,229762"
          }
        }
      },
      "Report": {
        "title": "Report",
        "required": [
          "fields",
          "name",
          "entity_id"
        ],
        "type": "object",
        "properties": {
          "fields": {
            "type": "string",
            "example": "228311,229723,229762"
          },
          "sort_fields": {
            "type": "string",
            "example": "203844"
          },
          "name": {
            "type": "string",
            "example": "Test API 3"
          },
          "output": {
            "type": "string",
            "enum": [
              "pdf",
              "csv",
              "excel",
              "screen"
            ],
            "example": "csv"
          },
          "size": {
            "type": "string",
            "enum": [
              "letter",
              "A4"
            ],
            "example": "A4"
          },
          "orientation": {
            "type": "string",
            "enum": [
              "portrait",
              "landscape"
            ],
            "example": "landscape"
          },
          "has_gridlines": {
            "type": "boolean",
            "example": true
          },
          "font_size": {
            "type": "integer",
            "example": 13
          },
          "entity_id": {
            "type": "integer",
            "example": 13876
          },
          "sum_currency": {
            "type": "boolean",
            "example": true
          },
          "sum_number": {
            "type": "boolean",
            "example": true
          },
          "company_logo": {
            "type": "boolean",
            "example": true
          },
          "reportable_id": {
            "type": "string",
            "example": ""
          },
          "depreciable_object": {
            "type": "string",
            "example": "0"
          },
          "begin_date": {
            "type": "string",
            "example": ""
          },
          "end_date": {
            "type": "string",
            "example": ""
          },
          "appreciable_object": {
            "type": "string",
            "example": "false"
          },
          "appreciation_start_date": {
            "type": "string",
            "example": ""
          },
          "appreciation_end_date": {
            "type": "string",
            "example": ""
          },
          "default_image": {
            "type": "boolean",
            "example": true
          },
          "group_page_break": {
            "type": "string",
            "example": "false"
          },
          "entity_action_id": {
            "type": "integer",
            "example": 18427
          },
          "entity_action_show_all_object": {
            "type": "boolean",
            "example": true
          },
          "action_object_list": {
            "type": "integer",
            "enum": [
              1,
              2,
              3
            ],
            "example": 1
          },
          "archived_record_options": {
            "type": "integer",
            "enum": [
              0,
              1,
              2
            ],
            "example": 0
          },
          "report_filters_attributes": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "properties": {
                "field_id": {
                  "type": "integer"
                },
                "invert_query": {
                  "type": "boolean"
                },
                "fix_value": {
                  "oneOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    }
                  ]
                }
              }
            },
            "example": {
              "0": {
                "field_id": 229723,
                "invert_query": false,
                "fix_value": [
                  "6877738a83782344c03ec2b9"
                ]
              },
              "1": {
                "field_id": 228311,
                "invert_query": true,
                "fix_value": "H"
              }
            }
          },
          "form_ordering_fields_attributes": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "properties": {
                "field_id": {
                  "type": "integer"
                },
                "order": {
                  "type": "string",
                  "enum": [
                    "asc",
                    "desc"
                  ]
                },
                "_destroy": {
                  "type": "string"
                }
              }
            },
            "example": {
              "0": {
                "field_id": 228311,
                "order": "desc",
                "_destroy": ""
              },
              "1": {
                "field_id": 228310,
                "order": "asc",
                "_destroy": ""
              }
            }
          }
        },
        "example": {
          "name": "Test API 3",
          "output": "csv",
          "size": "A4",
          "orientation": "landscape",
          "has_gridlines": true,
          "font_size": 13,
          "entity_id": 13876,
          "entity_action_id": 18427,
          "entity_action_show_all_object": true,
          "action_object_list": 1,
          "sum_currency": true,
          "sum_number": true,
          "company_logo": true,
          "reportable_id": "",
          "default_image": true,
          "archived_record_options": 0,
          "report_filters_attributes": {
            "0": {
              "field_id": 229723,
              "invert_query": false,
              "fix_value": [
                "6877738a83782344c03ec2b9"
              ]
            },
            "1": {
              "field_id": 228311,
              "invert_query": true,
              "fix_value": "H"
            }
          },
          "form_ordering_fields_attributes": {
            "0": {
              "field_id": 228311,
              "order": "desc",
              "_destroy": ""
            },
            "1": {
              "field_id": 228310,
              "order": "asc",
              "_destroy": ""
            }
          },
          "fields": "228311,229723,229762"
        }
      }
    }
  },
  "tags": [
    {
      "name": "Reports"
    }
  ],
  "paths": {
    "/v3/reports": {
      "post": {
        "tags": [
          "Reports"
        ],
        "summary": "Create report",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreatereportRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {}
            }
          }
        }
      }
    }
  }
}
```